Extension { #name : #Gofer }

{ #category : #'*ExoRepo' }
Gofer >> repositories [
	"Answer the configured monticello repositories."

	| result |
	result := OrderedCollection withAll: repositories.
	packageCacheRepository ifNotNil: [ result addFirst: packageCacheRepository ].
	^ result asArray collect: [:each | 
			(each class =  MCHttpRepository and:  [each location beginsWith: 'gitea'])
				ifTrue: [ MCRepository fromUrl: each location ] ifFalse: [ each ]
	].
]
